#
# spec file for package libsmdev
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname	libsmdev1
%define timestamp 20170225
Name:           libsmdev
Version:        0~%{timestamp}
Release:        bp153.1.18
Summary:        Library to access storage media devices
License:        LGPL-3.0+
Group:          Productivity/File utilities
Url:            https://github.com/libyal/libsmdev/wiki
Source:         https://github.com/libyal/libsmdev/releases/download/%timestamp/%{name}-alpha-%{timestamp}.tar.gz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcdata) >= 20120425
BuildRequires:  pkgconfig(libcerror) >= 20170101
BuildRequires:  pkgconfig(libcfile) >= 20130609
BuildRequires:  pkgconfig(libclocale) >= 20130609
BuildRequires:  pkgconfig(libcnotify) >= 20130609
BuildRequires:  pkgconfig(libcthreads) >= 20130723
BuildRequires:  pkgconfig(libuna) >= 20120425
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libsmdev is a library to access and read storage media devices.

%package -n %{lname}
Summary:        Library to access storage media devices
Group:          System/Libraries

%description -n %{lname}
libsmdev is a library to access and read storage media devices.

%package devel
Summary:        Development files for libsmdev, a storage media access library
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}

%description devel
libsmdev is a library to access and read storage media devices.

This subpackage contains libraries and header files for developing
applications that want to make use of libsmdev.

%package tools
Summary:        Utilities for reading storage media devices through libsmdev
Group:          Productivity/File utilities

%description tools
This subpackage contains the utility programs from libsmdev, which
can access and read storage media devices and will determine
information about such.

%package -n python2-%{name}
Summary:        Python bindings for libsmdev
Group:          Development/Languages/Python
Requires:       %{lname} = %{version}
BuildRequires:  pkgconfig(python2)
Provides:       pysmdev = %{version}

%description -n python2-%{name}
Python 2 bindings for libsmdev, which is a library to access and read storage media devices.

%package -n python3-%{name}
Summary:        Python bindings for libsmdev
Group:          Development/Languages/Python
Requires:       %{lname} = %{version}
BuildRequires:  pkgconfig(python3)
Provides:       pysmdev = %{version}

%description -n python3-%{name}
Python 3 bindings for libsmdev, which is a library to access and read storage media devices.

%prep
%setup -q -n libsmdev-%{timestamp}

%build
%configure --disable-static --enable-wide-character-type --enable-python2 --enable-python3
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%post   -n %{lname} -p /sbin/ldconfig

%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/libsmdev.so.1*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_includedir}/libsmdev*
%{_libdir}/libsmdev.so
%{_libdir}/pkgconfig/libsmdev.pc
%{_mandir}/man3/libsmdev.3*

%files tools
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/smdevinfo
%{_mandir}/man1/smdevinfo.1*

%files -n python2-%{name}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{python_sitearch}/pysmdev.so

%files -n python3-%{name}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{python3_sitearch}/pysmdev.so

%changelog
* Sat Feb 25 2017 Greg.Freemyer@gmail.com
- update to v0~20170225
  * applied updates
  * worked on tests
  * bug fix in debug output
- change RPM Group to Develment/Languages/Python
- review and update libyal dependencies
- add python3 binding
* Thu Feb 16 2017 Greg.Freemyer@gmail.com
- update to v0~20160320
  * worked on support for devices without bytes per sector support e.g. /dev/zero
  * Changes to Python bindings
  * worked on Python 3 support
  * fixes for rpmbuild
  * updated dependencies
  * block aligned read now enabled by default
- Cleaned-up BuildRequires
* Fri Jan  9 2015 Greg.Freemyer@gmail.com
- update to v0~20150105
  * 2015 update
  * worked on Python 3 support
  * code clean up
  * bug fix in Python-bindings
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- start using libcstring from OBS, not internal version
* Wed Aug 20 2014 Greg.Freemyer@gmail.com
- ran spec-cleaner
- added BuildRequires for libcnotify and libcthreads to use the external package
- add %%doc lines to all sub-packages
- add provides pysmdev to python sub-package to match upstream requires statemens
- add "Requires:  %%lname = %%version" to python section.  Fixes a bug found in testing.
* Wed Aug 13 2014 Greg.Freemyer@gmail.com
- update to v0~20140803
  * worked on Python bindings
  * bug fix in Python-bindings
  * updated python.m4
  * fixes for dealing with Unicode paths in pysmdev
  * fadvise bug fix
  * worked on non-blocking Windows device file support
  * worked on block-based read to support Windows device files
  * updated to include header
  * added read/write at offset functions
  * 2014 update
  * code clean up
  * updated dependencies
- use external packages for libcerror, libcdata, and libuna
- start building and packaging the python-libsmdev sub-package
* Tue Jul 30 2013 Greg.Freemyer@gmail.com
- update to v0~20130407
  * updated dependencies
  * textual changes
- change to gz compression to simplyfy download/convert
* Fri Apr  5 2013 jengelh@inai.de
- Initial package (version 0~20130331) for build.opensuse.org
